# coding:Utf-8
import es, hudlib

currentmap = es.ServerVar("eventscripts_currentmap")
answer = set()


def load():
    global hudbox
    # create a KeyHintText box
    hudbox = hudlib.keyhinttextbox()
    # add lines
    hudbox.addline("Do you love this map ?")
    hudbox.addline("Answer to question by yes/no")

def player_say(event_var):
    text = event_var["text"]
    userid = event_var["userid"]

    # if text is map
    if event_var["text"] == "map":
        answer.add(userid)
	hudbox.send(userid)

    # if player must answer something
    if userid in answer:

        # if answer is no
        if text == "no":
            # clear KeyHintText zone and send message
            hudbox.hide(userid)
            answer.remove(userid)
            es.msg("%s don't love %s" % (event_var["es_username"], currentmap))


        # if answer is yes
        if text == "yes":
            # clear KeyHintText zone and send message
            hudbox.hide(userid)
            answer.remove(userid)
            es.msg("%s love %s" % (event_var["es_username"], currentmap))

def unload():
    # delete HintText box (hide it and kill related threads)
    hudbox.kill()
