# coding:Utf-8
import es, hudlib, gamethread


def load():
    global hudbox
    # create player's HintText box
    hudbox = hudlib.hinttextbox()
    # add lines
    hudbox.addline("#T alive : X")
    hudbox.addline("#CT alive : X")
    # set timeout
    hudbox.timeout = 5
    # set function to execute when hud times out
    hudbox.boxtimeout = update
    # update and send HintText box to players
    update(hudbox)

def update(hudbox):
    # get number of living #T
    count = str(es.getlivingplayercount(2))
    # modifie line #1 - first index start at 0 (line 1 = index 0)
    hudbox.modline(0, "#T alive : " + count)

    # get number of living #CT
    count = str(es.getlivingplayercount(3))
    # modifie line #2 - first index start at 0 (line 2 = index 1)
    hudbox.modline(1, "#CT alive : " + count)

    # send HintText box to players
    hudbox.send(es.getUseridList())

def player_death(event_var):
    # update HintText box as soon as possible
    gamethread.queue(update, hudbox)

def unload():
    # delete HintText box
    hudbox.kill()
