# coding:Utf-8
import es, hudlib

players = {}

def player_activate(event_var):
    userid = int(event_var["userid"])
    # store userid and his hudbox
    players[userid] = hudlib.keyhinttextbox()

    # get his box
    hudbox = players[userid]
    # add first line (with name of player)
    hudbox.addline("Welcom " + event_var["es_username"])
    
    # add more lines...
    hudbox.addline("-----------------------------")
    hudbox.addline(" * No cheats")
    hudbox.addline(" * Only fun !!")
    hudbox.addline("-----------------------------")
    hudbox.addline("Good game ;)")

    # set timeout
    hudbox.timeout = 5
    # define a function to execute when player's hud times out
    hudbox.usertimeout = update
    # send box to player
    hudbox.send(userid)

def update(userid, reason, hudbox):
    # userid = userid of player
    # reason = reason (timeout, hide, delete, disconnect)
    # hudbox = instance of KeyHintText (keyhinttextbox)

    # make sure to update the hud because it times out (not a deleting for example)
    if reason == "timeout": hudbox.send(userid)
    # or delete box if reason is "disconnect"
    elif reason == "disconnect":
        hudbox.kill()
        del players[userid]

def unload():
    # delete all hud registered in dictionnary
    for userid in players:
        players[userid].kill()
