#  -*- coding:Utf-8 -*-
# ./addons/eventscripts/_libs/python/hudlib/__init__.py

importname = __import__(__name__)
from players import players
import es, psyco
psyco.full()


esInfo = es.AddonInfo()
esInfo.author = "DoCky"
esInfo.version = "1.201p"
esInfo.name = "HudLib"
esInfo.basename = "hud"
esInfo.url = "http://addons.eventscripts.com/addons/view/hudlib"
esInfo.description = "Provides HUD (Key/HintText) handling for Source games"

version = es.ServerVar("hudlib", description = esInfo.description)
version.set(esInfo.version)
version.makepublic()



# <hudid> = hudlib.hinttextbox()
from hinttext import box as hinttextbox
# hudlib.hinttextsend(<users>, <text>, [time])
from hinttext import send as hinttextsend
# <True/False> = hudlib.hinttextview(<userid>)
from hinttext import view as hinttextview


# <hudid> = hudlib.keyhinttextbox()
from keyhinttext import box as keyhinttextbox
# hudlib.keyhinttextsend(<users>, <text>, [time])
from keyhinttext import send as keyhinttextsend
# <True/False> = hudlib.keyhinttextview(<userid>)
from keyhinttext import view as keyhinttextview



# remove player from dict
def player_disconnect(event_var):
    userid = int(event_var["userid"])
    if players.has_key(userid):
        # kill player's threads
        players[userid].disconnect()
        # delete player's key
        del players[userid]
# register "player_disconnect" event
es.addons.registerForEvent(importname, "player_disconnect", player_disconnect)

# clear dict
def es_map_start(event_var):
    players.clear()
# register "es_map_start" event
es.addons.registerForEvent(importname, "es_map_start", es_map_start)
